<?php
class iHRIS_Module_StatusAdmin extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
    static function getMethods() {
        return array( 'iHRIS_PageView->action_status_admin'
                      => 'action_status_admin' );
    }
    public static function getHooks() {
        return array(
                'validate_form_status_admin' => 'validate_form_status_admin'
                );
    }

 
    /**
     * Add the status_admin form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_status_admin( $page ) {
       $page->addLastChildForm( 'status_admin', 'decision_date', 'siteContent');
        return true;
   }
   public function validate_form_status_admin( $form ) {
	   $indice=$form->getField('indice')->getValue();
	   if(strlen($indice)>0)
	   {
		   if ( I2CE_Validate::checkNumber( $indice )==false) {
			   $form->setInvalidMessage('indice','Enter un nombre', '');
		   }
		}
   }


}

