<?php
/**
* © Copyright 2009 IntraHealth International, Inc.
* 
* This File is part of I2CE 
* 
* I2CE is free software; you can redistribute it and/or modify 
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 3 of the License, or
* (at your option) any later version.
* 
* This program is distributed in the hope that it will be useful, 
* but WITHOUT ANY WARRANTY; without even the implied warranty of 
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License 
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*
* @package ihris-common
* @author Carl Leitner <litlfred@ibiblio.org>
* @version v3.2
* @since v3.2
* @filesource
*/
/**
* Class iHRIS_Module_PersonEducation
*
* @access public
*/


class iHRIS_Module_CoordonneeStructure extends I2CE_Module {


    /**
     * @var bolean A flag to determine if migrate needs to be called during the upgrade method.
     */
    protected $do_migrate;

    /**
     * Run the pre migrate for this module.  This can use the old config data before it
     * has been changed from the config.
     * @return boolean
     */
    

    /**
     * Perform the migrate actions for this module.
     * @return boolean
     */

    /**
     * Method called before the moduled is enabled for the first time.
     * @return boolean
     */
    /**
     * Run the pre upgrade for this module.  This can use the old config data before it
     * has been changed from the config.
     * @param string $old_vers
     * @param string $new_vers
     * @param I2CE_MagicDataNode $new_storage
     * @return boolean
     */
    /**
     * Upgrade this module if necessary
     * @param string $old_vers
     * @param string $new_vers
     * @return boolean
     */



    public static function getMethods() {
        return array(
            'iHRIS_PageView->action_coordonnestructure' => 'action_coordonnestructure'
            );
    }


    public function action_coordonnestructure($obj) {
        if (!$obj instanceof iHRIS_PageView) {
            return;
        }
        $obj->addChildForms('coordonnestructure');
        return true;
    }


}
# Local Variables:
# mode: php
# c-default-style: "bsd"
# indent-tabs-mode: nil
# c-basic-offset: 4
# End:
