<?php
class iHRIS_Module_PostAdmin extends I2CE_Module {

    /**
     * Set up the fuzzy methods for this module.
     * @return array
     */
    static function getMethods() {
        return array( 'iHRIS_PageView->action_post_admin'
                      => 'action_post_admin' );
    }
     /**
     * Return the array of hooks available in this module.
     * @return array
     */
    public static function getHooks() {
        return array(
                'validate_form_post_admin' => 'validate_form_post_admin'
                );
    }

 
    /**
     * Add the post_admin form to the view person page.
     * @param I2CE_Page $page
     * @return boolean
     */
    function action_post_admin( $page ) {
       $page->addLastChildForm( 'post_admin', 'date_decision', 'siteContent');
        return true;
   }
   public function validate_form_post_admin( $form ) {
		echo "Enter!!!!";
	   $positionAdmin=$form->getField('admin_post')->getDBValue();
	   $typeConge=$form->getField('type_conge')->getDBValue();
	   $listTypePositionAdministrativeConge=array('admin_post|3');
	   if(in_array($positionAdmin,$listTypePositionAdministrativeConge)==true)
	   {
		   if(strlen($typeConge)<=0)
		   {
			   $form->setInvalidMessage('type_conge','Veuillez specifier le type de congé!', '');
			}
			else
			{
				return;
			}
		   
	   }
	   else
	   {
		   if(strlen($typeConge)>0)
		   {
			    $form->setInvalidMessage('type_conge','Un congé ne peut pas être selectionné pour ce type de position!', '');
			}
		}
   }
   


}

